# List custom fields

Returns a paginated list of custom fields for the given business.

Endpoint: GET /v1/businesses/{client_id}/custom-fields
Version: v1
Security: BearerAuth

## Path parameters:

  - `client_id` (integer, required)
    The ID of the business.
    Example: 123

## Query parameters:

  - `offset` (integer)
    Offset to retrieve items from.
    Example: 50

  - `limit` (integer)
    Number of items per page.
    Example: 50

## Response 200 fields (application/json):

  - `count` (integer)
    Total number of custom fields.
    Example: 10

  - `next` (string,null)
    Pagination cursor for the next page.
    Example: "limit=50&offset=50"

  - `previous` (string,null)
    Pagination cursor for the previous page.

  - `results` (array)

  - `results.id` (string)
    The unique identifier for this custom field.
    Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"

  - `results.name` (string)
    The display name of the custom field.
    Example: "Project Code"

  - `results.field_type` (string)
    The type of the custom field.
    Enum: "LIST", "FREE_TEXT"

  - `results.budget_setting` (string)
    Controls which budgets this custom field is assigned to.
    Enum: "NONE", "SOME", "ALL_CURRENT_AND_NEW"

  - `results.is_manager_only` (boolean)
    Whether this custom field is visible only to managers. Cannot be changed after creation.

  - `results.created_by` (string)
    The source that created this custom field.
    Enum: "MANUAL", "PUBLIC_API", "XERO", "MYOB", "QUICKBOOKS", "NETSUITE", "BUSINESS_CENTRAL"

  - `results.created` (string)
    The date and time when this custom field was created.
    Example: "2024-01-15T09:00:00Z"

  - `results.updated` (string)
    The date and time when this custom field was last updated.
    Example: "2024-01-15T09:00:00Z"


## Response 401 fields

## Response 403 fields
